<?php

namespace IMATHUZH\Qfq\Core\Form\FormElement;

use IMATHUZH\Qfq\Core\Form\Form;
use IMATHUZH\Qfq\Core\Store\Store;

class ExtraFormElement extends AbstractFormElement
{
    public function __construct($attributes, ?Form $form = null)
    {
        parent::__construct($attributes, $form);

        $this->attributes = $attributes;
        $this->form = $form;
        $this->store = Store::getInstance();
        $this->store->setVar($this->attributes[FE_NAME], $this->value, STORE_SIP, true);
    }
}